# Amuse: amuse::Envelope Class Reference

amuse::Envelope Class Reference

`#include <Envelope.hpp>`

Collaboration diagram for amuse::Envelope:

## Public Types

enum | State { Attack, Decay, Sustain, Release, Complete }

## Public Member Functions

void | reset (const ADSR *adsr)
void | reset (const ADSRDLS *adsr, int8_t note, int8_t vel)
void | keyOff ()
float | nextSample (double sampleRate)
bool | isComplete () const

## Detailed Description

Per-sample state tracker for ADSR envelope data

Definition at line 10 of file Envelope.hpp.

The documentation for this class was generated from the following file:

- include/amuse/Envelope.hpp